<p-dataList [value]="zasilaczs" [paginator]="true" [rows]="5"
            selectionMode="single">
  <p-header>
    Wybierz zasilacz
  </p-header>
  <ng-template let-zasilacz pTemplate="item">
    <div class="custom-table-row">
      <hr>
      <div class="ui-g ui-fluid zasilacz-item">
        <div class="ui-g-5 ui-md-3" style="text-align:center">
          <img *ngIf="zasilacz.image" [src]="zasilacz.image" alt="Logo" height="200" width="200">
        </div>
        <div class="ui-g-3 ui-md-7 zasilacz-details">
          <div class="ui-g">
            <div class="ui-g-3 ui-sm-2">Nazwa:</div>
            <div class="ui-g-3 ui-sm-2">{{zasilacz.nazwa}}</div>
            <div class="ui-g-3 ui-sm-2">Producent:</div>
            <div class="ui-g-3 ui-sm-2">{{zasilacz.producent}}</div>
          </div>
          <div class="ui-g">
            <div class="ui-g-3 ui-sm-2">Moc:</div>
            <div class="ui-g-3 ui-sm-2">{{zasilacz.moc}}</div>
          </div>
          <div class="ui-g">
            <div class="ui-g-3 ui-sm-2">Cena:</div>
            <div class="ui-g-3 ui-sm-2">{{zasilacz.cena}}</div>
          </div>
        </div>
      </div>
      <button type="button" pButton icon="fa-plus" label="Dodaj" (click)="onAddPrimaryClick(zasilacz)"></button>
      <hr>
    </div>
  </ng-template>
</p-dataList>
<p-growl [(value)]="msgs"></p-growl>
